import Vue from 'vue';
import App from './App.vue';
import router from './router';
import './registerServiceWorker';
import * as Sentry from '@sentry/browser';
import Component from 'vue-class-component';

Component.registerHooks([
  'beforeRouteEnter',
  'beforeRouteLeave',
  'beforeRouteUpdate',
]);

Vue.config.productionTip = false;

if (process.env.NODE_ENV === 'production') {
  Sentry.init({
    dsn: process.env.VUE_APP_SENTRY_DSN,
    release: process.env.VUE_APP_RELEASE_CODE,
    integrations: [new Sentry.Integrations.Vue({ Vue })],
  });
}

new Vue({
  router,
  render: (h) => h(App),
}).$mount('#app');
