import Vue from 'vue';
import Router from 'vue-router';
import Home from './views/Home.vue';

Vue.use(Router);

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/',
      name: 'home',
      component: Home,
    },
    {
      path: '/about',
      name: 'about',
      component: () => import(/* webpackChunkName: "about" */ './views/About.vue'),
    },
    {
      path: '/kyoto-animation-sort',
      name: 'kyoto-animation-sort',
      component: () => import(/* webpackChunkName: "kyoto-animation-sort" */ './views/KyotoAnimationSort.vue'),
    },
    {
      path: '/make-quotation',
      name: 'make-quotation',
      component: () => import(/* webpackChunkName: "make-quotation" */ './views/MakeQuotation/index.vue'),
    },
    {
      path: '/stream-record',
      name: 'stream-record',
      component: () => import(/* webpackChunkName: "video-list" */ './views/StreamRecord.vue'),
    },
    {
      path: '/stream-record-pick',
      name: 'stream-record-pick',
      component: () => import(/* webpackChunkName: "video-list" */ './views/StreamRecordPick.vue'),
    },
    {
      path: '/bangumi',
      name: 'bangumi',
      component: () => import(/* webpackChunkName: "video-list" */ './views/Bangumi.vue'),
    },
    {
      path: '/midorikawa-champion',
      name: 'midorikawa-champion',
      component: () => import(/* webpackChunkName: "midorikawa-champion" */ './views/MidorikawaChampion/index.vue'),
    },
    {
      path: '/roll/:source/:count',
      name: 'roll',
      component: () => import(/* webpackChunkName: "roll-it" */ './views/Roll/index.vue'),
    },
    {
      path: '/stream-record-audio/megumi/:resourceKey?',
      name: 'stream-record-audio-megumi',
      component: () => import(/* webpackChunkName: "stream-record-audio" */ './views/StreamRecordAudio/megumi.vue'),
    },
    {
      path: '/stream-record-audio/:resourceKey?',
      name: 'stream-record-audio',
      component: () => import(/* webpackChunkName: "stream-record-audio" */ './views/StreamRecordAudio/index.vue'),
    },
  ],
});
